package com.gingersoft.gsa.cloud.base.adapter.print;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.gingersoft.gsa.cloud.base.R;
import com.gingersoft.gsa.cloud.database.bean.Food;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by Wyh on 2020/2/20.
 */
public class KitChenPrintFoodAdapter extends BaseQuickAdapter<Food, BaseViewHolder> {

    public KitChenPrintFoodAdapter(@Nullable List<Food> data) {
        super(R.layout.print_kitchen_item_food, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, Food item) {
        helper.setText(R.id.tv_food_number, item.getNumber() +"");
        helper.setText(R.id.tv_food_name, item.getFoodName());
    }
}
